#
# spec file for package libxslt-python (Version 1.1.15)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libgcrypt-devel libgpg-error libgpg-error-devel libxml2 libxml2-devel libxml2-python libxslt libxslt-devel python python-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libgcrypt-devel libgpg-error libgpg-error-devel libtool libxml2 libxml2-devel libxml2-python libxslt libxslt-devel perl python python-devel rpm

Name:         libxslt-python
Summary:      Python bindings for libxslt
Version:      1.1.15
Release:      0.1
License:      X11/MIT
Group:        Development/Libraries/Python
Source:       ftp://fr.rpmfind.net/pub/libxml/libxslt-%{version}.tar.bz2
# source tar is in libxslt source rpm
NoSource:     0
Patch1:       libxslt-1.1.15-python-linkflags.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%{py_requires}
Requires:     libxml2 >= 2.6.17
URL:          http://xmlsoft.org/XSLT/
# BuildRequires: python python-devel
# BuildRequires: libxml2-python
# Patch:        libxslt-ns-context.diff

%description
The libxslt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows to parse stylesheets, uses the libxml2-python to
load and save XML and HTML files. Direct access to XPath and the XSLT
transformation context are possible; thus it is possible to extend the
XSLT language with XPath functions written in Python.



Authors:
--------
    Daniel Veillard <daniel@veillard.com>

%prep
%setup -q -n libxslt-%{version}
%patch1 -p 1

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
                                    --sysconfdir=%{_sysconfdir} \
				    --libdir=%{_prefix}/%_lib \
                                    --mandir=%{_mandir}
# use libxslt as built by libxslt source package
mkdir libxslt/.libs libexslt/.libs
cp -v /usr/%_lib/libxslt.la libxslt
cp -v /usr/%_lib/libexslt.la libexslt
make -C python

%install
rm -rf $RPM_BUILD_ROOT
export RPM_BUILD_ROOT
make -C python install \
	DESTDIR=$RPM_BUILD_ROOT \
	pythondir=%py_sitedir \
	PYTHON_SITE_PACKAGES=%py_sitedir
# Unwanted doc stuff
rm -fr $RPM_BUILD_ROOT%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{py_sitedir}/*
# %{python_sitepath}/libxslt.py
# %{python_sitepath}/libxsltmod.so
%doc python/TODO
%doc python/libxslt-python-api.xml
%doc python/tests/*.py
%doc python/tests/*.xml
%doc python/tests/*.xsl

%changelog -n libxslt-python
* Fri Sep 16 2005 - ke@suse.de
- Update to version 1.1.15.
* Wed Jul 06 2005 - meissner@suse.de
- removed -fno-strict-aliasing, not needed here.
* Mon Apr 04 2005 - ke@suse.de
- Update to version 1.1.14.
* Wed Nov 24 2004 - mcihar@suse.cz
- use rpm macros to build correcly with current python
* Tue Nov 02 2004 - ke@suse.de
- Update to version 1.1.12.
* Tue Oct 12 2004 - ke@suse.de
- Add libgcrypt* and libgpg-error* to neededforbuild.
* Fri Oct 08 2004 - ke@suse.de
- Update to version 1.1.11.
* Mon Aug 23 2004 - ke@suse.de
- Update to version 1.1.9.
* Thu Aug 19 2004 - schwab@suse.de
- Fix a broken cast.
* Wed Jul 14 2004 - ke@suse.de
- Update to version 1.1.8.
* Fri May 21 2004 - ke@suse.de
- Update to version 1.1.7.
* Tue Apr 20 2004 - ke@suse.de
- Update to version 1.1.6.
* Fri Dec 12 2003 - ke@suse.de
- Update to version 1.1.1.
* Wed Nov 05 2003 - ke@suse.de
- Update to version 1.1.0; for details cf. the libxslt changelog.
* Fri Aug 29 2003 - mcihar@suse.cz
- require same python version as it was built with
* Fri Aug 15 2003 - ke@suse.de
- Update to version 1.0.32; for details cf. the libxslt changelog.
* Wed Jul 09 2003 - ke@suse.de
- Update to version 1.0.31; for details cf. the libxslt changelog.
* Tue Jun 17 2003 - sbrabec@suse.cz
- Updated to version 1.0.30.
* Mon May 26 2003 - ke@suse.de
- Remove unwanted files from $RPM_BUILD_ROOT.
* Wed Apr 02 2003 - ke@suse.de
- Update to version 1.0.29; for details cf. the libxslt changelog.
* Wed Mar 26 2003 - ke@suse.de
- Update to version 1.0.28; for details cf. the libxslt changelog.
* Tue Feb 11 2003 - ke@suse.de
- Update to version 1.0.26; for details cf. the libxslt changelog.
* Thu Feb 06 2003 - ke@suse.de
- Update to version 1.0.25; for details cf. the libxslt changelog.
* Wed Jan 15 2003 - ke@suse.de
- Update to version 1.0.24.
* Tue Nov 26 2002 - ro@suse.de
- split specfile to get rid of python dependencies in the main tree
